Subject: Re: [PATCH v2 0/3] Teach fetch and pull to recursively fetch submodules too

From: Jens Lehmann <[email-masked]>
Date: Sat, 09 Oct 2010 22:37:30 +0200

Am 09.10.2010 22:02, schrieb Jonathan Nieder:
> Jens Lehmann wrote:
>> Am 07.10.2010 01:22, schrieb Jonathan Nieder:
> 
>>>     I also
>>> don't want to pay the penalty of fetching, say, git-gui when I don't
>>> need it.
>>
>> I'm not sure I understand your setup, do you want to configure that for
>> each remote or for each submodule?
> 
> Without thinking too hard about it, I imagine listing submodules in
> the [remote "foo"] stanza, just like I list branches there now.

Yup, that makes sense.

>> Because you can already do the latter
>> with my patches. And configuring that via .gitmodules has the advantage
>> that every clone inherits that setting
> 
> I certainly do _not_ want that property.  Upstream can tell what
> submodules to check out by default, but aside from that, the choice of
> what to fetch has nothing to do with them.

Ok, I take that as a vote to remove the parsing of .gitmodules in patch
2/3. But I assume you are fine with being able to configure that for
each submodule via .git/config?